# OCI-Lob::writeTemporary

(PHP 5, PHP 7, PECL OCI8 >= 1.1.0)

OCI-Lob::writeTemporary — Writes a temporary large object

### Description

OCI-Lob::writeTemporary ( string `$data` [, int `$lob_type` = OCI_TEMP_CLOB ] ) : bool

Creates a temporary large object and writes `data` to it.

You should use OCI-Lob::close when you are done with this object.

### Parameters

`data`

  The data to write.

`lob_type`

  Can be one of the following:

  - `OCI_TEMP_BLOB` is used to create temporary BLOBs
  - `OCI_TEMP_CLOB` is used to create temporary CLOBs

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- OCI-Lob::close